	mui.init();

	var pageNo = 1;
	var pageNo2 = 1;
	var pageNo3 = 1;
	(function($) {
		var segmentedControl = document.getElementById('segmentedControl22');
				$('.mui-input-group').on('change', 'input', function() {
					if(this.checked) {
						var styleEl = document.querySelector('input[name="style"]:checked');
						console.log(styleEl);
						var colorEl = document.querySelector('input[name="color"]:checked');
						if(styleEl && colorEl) {
							var style = styleEl.value;
							var color = colorEl.value;
							segmentedControl.className = 'mui-segmented-control' + (style ? (' mui-segmented-control-' + style) : '') + ' mui-segmented-control-' + color;
						}
					}
				});
				//初始化单页的区域滚动
				mui('.mui-scroll-wrapper').scroll();
				//阻尼系数
				var deceleration = mui.os.ios ? 0.003 : 0.0009;
				$('.mui-scroll-wrapper').scroll({
					bounce: false,
					indicators: true, //是否显示滚动条
					deceleration: deceleration
				});
		

		var Plan;
		var Summary;
		var ScoreSummary;
		mui.plusReady(function() {
			Plan = document.getElementById("Plan");
			Summary = document.getElementById("Summary");
			ScoreSummary = document.getElementById("ScoreSummary");
			//循环初始化所有下拉刷新，上拉加载。
					$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
						$(pullRefreshEl).pullToRefresh({
							down: {
								callback: function() {
									var self = this;
									setTimeout(function() {
										var ul = self.element.querySelector('.mui-table-view');
										createFragment2(ul, self);
										self.endPullDownToRefresh();
									}, 1000);
								}
							},
							up: {
								contentrefresh: '正在加载...',
								auto: true, //可选,默认false.自动上拉加载一次
								callback: function() {
									var self = this;
									setTimeout(function() {
										var ul = self.element.querySelector('.mui-table-view');
										console.log(pullRefreshEl.id);
										createFragment(ul, self);
										self.endPullUpToRefresh();
									}, 1000);
								}
							}
						});
					});
			var createFragment = function(ul, self) {
				var dataType = self.element.id;
				if("PlanDiv" == dataType) {
					PlanDown(ul, self);
				} else if("SummaryDiv" == dataType){
					SummaryDown(ul, self);
				} else if("ScoreSummaryDiv" == dataType){
					ScoreSummaryDown(ul, self)
				}
			}

			//下拉菜单

			var createFragment2 = function(ul, self) {
				var dataType = self.element.id;
				if("PlanDiv" == dataType) {
					pageNo = 1;
					vmA.itemAs = [];
					PlanDown(ul, self);
				} else if("SummaryDiv" == dataType){
					pageNo2 = 1;
					vmB.itemBs = [];
					SummaryDown(ul, self);
				} else if("ScoreSummaryDiv" == dataType){
					pageNo3 = 1;
					vmC.itemCs = [];
					ScoreSummaryDown(ul, self)
				}
			}

			//工作计划列表
			function PlanDown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var staffId = state.user.useId;
				var jobtype ='Plan';
				var deptid = '';
				var	par  = ' p:"' + pageNo + '"';
					par += ',pSize:"' + APP.PageSize + '"';
					par += ',jobtype:"'+ jobtype + '"';
					par += ',deptid:"'  + deptid + '"';
				var obj = {
					'serviceId': 'oa_2018A1126GetDeptJoblist001',
					'params': '{' + par +  '}'
				};
				mui.ajax(url, {
					dataType: 'json', 			//服务器返回json格式数据
					type: 'post', 				//HTTP请求类型
					data: obj,
					timeout: 10000, 			//超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					}, //超时时间设置为10秒；
					success: function(data) {
						if(data.returnCode == "0") {
							var result = data.returnParams.Rows;
							//console.log("工作计划列表---"+JSON.stringify(data));
							var totalRow = data.returnParams.Total;
							var totalPage = Math.ceil(totalRow / APP.PageSize);
							if(totalPage == 0) totalPage = 1;

							//console.log("工作计划列表==" + totalPage);
							if(result.length > 0) {
								vmA.itemAs = vmA.itemAs.concat(result);
							}
							self.endPullUpToRefresh(totalPage == pageNo); //参数为true代表没有更多数据了。

							if(pageNo == 1 && totalPage > 1)
								self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
							pageNo = pageNo + 1;
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}
			
			
			//工作总结列表
			function SummaryDown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var staffId = state.user.useId;
				var jobtype ='Summary';
				var deptid = '';
				var	par  = ' p:"' + pageNo + '"';
					par += ',pSize:"' + APP.PageSize + '"';
					par += ',jobtype:"'+ jobtype + '"';
					par += ',deptid:"'  + deptid + '"';
				var obj = {
					'serviceId': 'oa_2018A1126GetDeptJoblist001',
					'params': '{' + par +  '}'
				};
				mui.ajax(url, {
					dataType: 'json', 				//服务器返回json格式数据
					type: 'post', 					//HTTP请求类型
					data: obj,
					timeout: 10000, 				//超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					}, //超时时间设置为10秒；
					success: function(data) {
						if(data.returnCode == "0") {
							var result = data.returnParams.Rows;
							console.log("工作总结列表----"+JSON.stringify(data));
							var totalRow = data.returnParams.Total;
							var totalPage = Math.ceil(totalRow / APP.PageSize);
							if(totalPage == 0) totalPage = 1;

							console.log("工作总结列表==" + totalPage);
							if(result.length > 0) {
								vmB.itemBs = vmB.itemBs.concat(result);
							}
							self.endPullUpToRefresh(totalPage == pageNo2); //参数为true代表没有更多数据了。

							if(pageNo2 == 1 && totalPage > 1)
								self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
							pageNo2 = pageNo2 + 1;
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}
			
			//工作总结评分（当前用户可评分列表）
			function ScoreSummaryDown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var staffId = state.user.useId;
				
				var jobtype ='Summary';
				var deptid = '';
				var	par  = ' p:"' + pageNo + '"';
					par += ',pSize:"' + APP.PageSize + '"';
					par += ',jobtype:"'+ jobtype + '"';
					par += ',deptid:"'  + deptid + '"';
					par += ',useId:"'+ staffId + '"';				
				var obj = {
					'serviceId': 'oa_2018A1127GetDeptJobScorelist',
					'params': '{' + par +  '}'
				};
		
				mui.ajax(url, {
					dataType: 'json', 			//服务器返回json格式数据
					type: 'post', 				//HTTP请求类型
					data: obj,
					timeout: 10000, 			//超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					}, //超时时间设置为10秒；
					success: function(data) {
						if(data.returnCode == "0") {
							if( data.returnParams.Rows != 0){
								var result = data.returnParams.Rows;
								console.log('工作总结评分---'+JSON.stringify(data));
								var totalRow = data.returnParams.Total;
								var totalPage = Math.ceil(totalRow / APP.PageSize);
								if(totalPage == 0) totalPage = 1;
								
								console.log("已审批考核计算总页数==" + totalPage);
								if(result.length > 0) {
									vmC.itemCs = vmC.itemCs.concat(result);
								}
								self.endPullUpToRefresh(totalPage == pageNo3); //参数为true代表没有更多数据了。
								
	
								if(pageNo3 == 1 && totalPage > 1)
									self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
								pageNo3 = pageNo3 + 1;
							}else{
								self.endPullUpToRefresh(true); //参数为true代表没有更多数据了。
							}
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}
		});
	})(mui);

	//工作计划
	var vmA = new Vue({
		el: '#PlanDiv',
		data: {
			itemAs: [] //列表信息流数据
		}
	});
	//工作总结
	var vmB = new Vue({
		el: '#SummaryDiv',
		data: {
			itemBs: [] //列表信息流数据
		}
	});
	//工作总结评分
	var vmC = new Vue({
		el: '#ScoreSummaryDiv',
		data: {
			itemCs: [] //列表信息流数据
		}
	});

	

	/**
	 * 打开部门工作计划表
	 * itemAs
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailA(itemA) {
		//触发子窗口显示详情
		var Excelid = itemA.universalid;
		var job_type = itemA.job_type;
		var title = itemA.title;
		var deptname = itemA.deptname;
		var page = "deptJob_plan_detail.html";
		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				Excelid: Excelid,
				job_type: job_type,
				title : title,
				deptname : deptname
			}
		});
	}
	/**
	 * 打开部门工作总结表
	 * itemAs
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailB(itemB) {
		
		//触发子窗口显示详情
		var Excelid = itemB.universalid;
		var job_type = itemB.job_type;
		var title = itemB.title;
		var deptname = itemB.deptname;
		
		var page = "deptJob_Summary_detail.html";
		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				Excelid: Excelid,
				job_type: job_type,
				title : title,
				deptname : deptname
			}
		});
	}
	/**
	 * 打开部门工作评分表
	 * itemAs
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailC(itemC) {
		
		//触发子窗口显示详情
		var Excelid = itemC.universalid;
		var job_type = itemC.job_type;
		var title = itemC.title;
		var deptname = itemC.deptname;
		
		var page = "deptJob_Summary_Score.html";
		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				Excelid: Excelid,
				job_type: job_type,
				title : title,
				deptname : deptname
			}
		});
	}
	
	//日期控件
	function time(id) {
		var dDate = new Date();
		dDate.setFullYear(2014, 7, 16);
		var minDate = new Date();
		minDate.setFullYear(2010, 0, 1);
		var maxDate = new Date();
		maxDate.setFullYear(2016, 11, 31);
		var dTime = new Date(); 
	    dTime.setHours(6, 0); 
		plus.nativeUI.pickDate(function(e) {
			var d = e.date;
			var a = d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate() ;
			$("#" + id).val(a);
		}, {
			title: "请选择日期",
			date: dDate,
			minDate: minDate,
			maxDate: maxDate
		});      
	}